.btn {
  border: none;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  padding: 20px;
  border-radius: 5px;
  font-style: normal;
  font-weight: 700;
  line-height: 1;
  text-transform: uppercase;
  color: #ffffff;
}

.btn-default {
  cursor: pointer;
  background: linear-gradient(90deg, #7e55b3 -0.37%, #a769c4 100.37%);
  &:hover,
  &:active {
    background: linear-gradient(0deg, rgba(0, 0, 0, 0.3), rgba(0, 0, 0, 0.3)),
      linear-gradient(90deg, #7e55b3 -0.37%, #a769c4 100.37%);
  }
  &:focus {
    outline-color: #ffffff;
  }
  &:focus:active {
    outline: none;
  }
}

.btn__arrow-right {
  margin-left: 10px;
  fill: #ffffff;
  opacity: 1;
  .btn-disabled & {
    opacity: 0.7;
  }
}

.btn-disabled {
  cursor: not-allowed;
  background: linear-gradient(90deg, #808080 -0.37%, #656565 100.37%);
}
